Page MenuHomePhabricator

Remove on_focus_update
Open, HighPublic

Description

Here is content because herald is stupid, closing this again and again.

bu5hm4n created this task.Nov 21 2017, 7:56 AM
YOhoho added a subscriber: YOhoho.Jan 18 2018, 10:11 PM
jpeg added a comment.Jan 23 2018, 6:36 PM

No. I didn't know about this ticket.
I'm not sure this can "easily" be done. @bu5m4n would know best here, of course, but I'm not convinced that on_focus_update is the same as focus_set.

This has nothing to do with that commit.
I want to remove that function since its only called in focus_set and does not serve any other meaning than notifing a user that his focus property has changed, this can be done usper easily by overriding focus.set and just reacting to it.

bu5hm4n moved this task from Backlog to Ideas on the Efl.Ui.Focus board.Apr 11 2018, 8:16 AM
bu5hm4n added a project: Restricted Project.Jun 11 2018, 2:55 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:51 AM
bu5hm4n edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:06 AM
bu5hm4n edited projects, added Restricted Project; removed efl: widgets, Efl.Ui.Focus.Jun 12 2018, 12:05 AM

A #Goal ticket should not be set to a milestone.

bu5hm4n moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jul 9 2018, 1:44 AM
Herald closed this task as Invalid. · View Herald TranscriptJul 9 2018, 1:44 AM
Herald added a project: Restricted Project. · View Herald Transcript

The Enlightenment ticket system is currently receiving high amounts of spam tickets. This ticket has been closed as spam because it lacks a description. If this ticket is not spam, please reopen it after adding a description.

bu5hm4n reopened this task as Open.Jul 9 2018, 1:47 AM

@zmike Can you remove this herald rule again ? no description is not really spam, its just that the title says everything, this ticket has a assignee tags etc. etc. quite obvious to NOT spam...

Herald closed this task as Invalid. · View Herald TranscriptJul 9 2018, 1:47 AM

The Enlightenment ticket system is currently receiving high amounts of spam tickets. This ticket has been closed as spam because it lacks a description. If this ticket is not spam, please reopen it after adding a description.

bu5hm4n updated the task description. (Show Details)Jul 9 2018, 1:47 AM
bu5hm4n reopened this task as Open.
zmike removed a project: Restricted Project.Jan 14 2019, 11:27 AM

It's not hard, just add a . or something as content.